rng.h File Reference

Miscellaneous classes for RNGs. More...

Go to the source code of this file.

## Classes

class | LC_RNG
| Linear Congruential Generator (LCG) More...
class | X917RNG
| ANSI X9.17 RNG. More...
class | MaurerRandomnessTest
| Maurer's Universal Statistical Test for Random Bit Generators. More...

## Detailed Description

Miscellaneous classes for RNGs.

This file contains miscellaneous classes for RNGs, including LC_RNG(), X917RNG() and MaurerRandomnessTest()

See also
  osrng.h, randpool.h

Definition in file rng.h.